<?php
/*

**************************************************************************

Plugin Name:  WP Comments Vip
Plugin URI:   http://www.arefly.com/wordpress-comment-vip/
Description:  Add VIP Comments Star into your blog's comments. 給你的部落格添加VIP評論之星的功能
Version:      1.0.6
Author:       Arefly
Author URI:   http://www.arefly.com/

**************************************************************************

	Copyright 2014  Arefly  (email : eflyjason@gmail.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**************************************************************************/

define(WP_COMMENTS_VIP_PLUGIN_URL, plugin_dir_url( __FILE__ ));
define(WP_COMMENTS_VIP_FULL_DIR, plugin_dir_path( __FILE__ ));
define(WP_COMMENTS_VIP_TEXT_DOMAIN, "wp-comments-vip");

/* Plugin Localize */
function wp_comments_vip_load_plugin_textdomain() {
	load_plugin_textdomain(WP_COMMENTS_VIP_TEXT_DOMAIN, false, dirname(plugin_basename( __FILE__ )).'/lang/');
}
add_action('plugins_loaded', 'wp_comments_vip_load_plugin_textdomain');

/* Info About Arefly's Other Plugins (DO NOT CHANGE IT!) */
if(!function_exists('get_arefly_plugins_info')){
	function get_arefly_plugins_info(){
		return json_decode(json_encode(simplexml_load_file("http://file.arefly.com/arefly_plugins_info.xml")), TRUE);
	}
}
if(!function_exists('get_arefly_plugins_info_locale')){
	function get_arefly_plugins_info_locale(){
		$arefly_plugins_info = get_arefly_plugins_info();
		if(array_key_exists(get_locale(), $arefly_plugins_info["notice"])){
			$locale_code = get_locale();
		}else{
			$locale_code = "en_US";
		}
		return $locale_code;
	}
}

include_once WP_COMMENTS_VIP_FULL_DIR."options.php";

/* Add Links to Plugins Management Page */
function wp_comments_vip_action_links($links){
	$arefly_plugins_info = get_arefly_plugins_info();
	$locale_code = get_arefly_plugins_info_locale();
	$links[] = '<a href="'.get_admin_url(null, 'options-general.php?page='.WP_COMMENTS_VIP_TEXT_DOMAIN.'-options').'">'.$arefly_plugins_info["settings"][$locale_code].'</a>';
	$links[] = '<a href="http://file.arefly.com/arefly_plugins_info.xml" target="_blank">'.$arefly_plugins_info["more_plugin_by_arefly"][$locale_code].'</a>';
	return $links;
}
add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'wp_comments_vip_action_links');

/* Add CSS  code */
wp_enqueue_style('wp-header-notification', WP_COMMENTS_VIP_PLUGIN_URL.'style.css');

function get_author_vip_class($comment_author_email, $user_id){
	global $wpdb;
	$author_count = count($wpdb->get_results("SELECT comment_ID as author_count FROM $wpdb->comments WHERE comment_author_email = '$comment_author_email' "));
	if(get_option("wp_comments_vip_display_admin_vip") == "hide"){
		$adminEmail = get_option('admin_email');
		if($comment_author_email == $adminEmail){
			return;
		}
	}
	for($num = 1; $num < 7; $num++){
		${"level_num_".$num} = get_option("wp_comments_vip_level_num_".$num);
	}
	if($author_count>=$level_num_1 && $author_count<$level_num_2){
		?><a class="vip1" title="VIP 1"></a><?php
	}else if($author_count>=$level_num_2 && $author_count<$level_num_3){
		?><a class="vip2" title="VIP 2"></a><?php
	}else if($author_count>=$level_num_3 && $author_count<$level_num_4){
		?><a class="vip3" title="VIP 3"></a><?php
	}else if($author_count>=$level_num_4 && $author_count<$level_num_5){
		?><a class="vip4" title="VIP 4"></a><?php
	}else if($author_count>=$level_num_5 && $author_count<$level_num_6){
		?><a class="vip5" title="VIP 5"></a><?php
	}else if($author_count>=$level_num_6 && $author_count<$level_num_7){
		?><a class="vip6" title="VIP 6"></a><?php
	}else if($author_count>=$level_num_7){
		?><a class="vip7" title="VIP 7"></a><?php
	}
}

function wp_comments_vip($author_link) {
	$comment = get_comment($comment_id);
	echo $author_link;
	$vip_code = get_author_vip_class($comment->comment_author_email, $comment->user_id);
	if(get_option("wp_comments_vip_display_admin") == "display"){
		if(user_can($comment->user_id, 'administrator')){
			$vip_code .= '<a title="'.__('Blog Admin', WP_COMMENTS_VIP_TEXT_DOMAIN).'" class="vip"></a>';
		}
	}
	echo $vip_code;
}
add_filter('get_comment_author_link', 'wp_comments_vip');
